GNU bug report logs - #46713
27.1; Variable binding depth exceeds max-specpdl-size in js-mode with js-indent-level 2 and indent-tabs-mode nil on new line

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ryan Olson <ryan.olson.x@HIDDEN>; Keywords: confirmed; dated Mon, 22 Feb 2021 22:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46713 <at> debbugs.gnu.org:


Received: (at 46713) by debbugs.gnu.org; 24 Feb 2021 16:47:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 11:47:53 2021
Received: from localhost ([127.0.0.1]:35730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lExKL-00059e-NB
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 11:47:53 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lExKK-00059S-3K
 for 46713 <at> debbugs.gnu.org; Wed, 24 Feb 2021 11:47:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=US0tDGnvoV7gk2UGC1xMsojab3om+fh7ylvZpJ6UUH0=; b=FBNJjntSRqchzpIVy0KiKKNmpE
 mBgcXOD8ypXoyRiVVMllowF9khwlvWVQjPI5REj16N4wHi2XYfh7hGkNtxNtO7ukuACD0AVANrNjG
 vLwmazo/jz2LoKwAGKSoSHITZXvrXkf555nnJX6bHvWIrfmF7KZAbxb0Ll4Dv5FkplX0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lExKB-0005uE-En; Wed, 24 Feb 2021 17:47:46 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ryan Olson <ryan.olson.x@HIDDEN>
Subject: Re: bug#46713: 27.1; Variable binding depth exceeds
 max-specpdl-size in js-mode with js-indent-level 2 and indent-tabs-mode
 nil on new line
References: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
 <871rd7enmz.fsf@HIDDEN>
 <CAKkY5K499zMp30P_qm4jPNGT+h=6_T3HAMO=yQV3Q+vs+CH27w@HIDDEN>
 <87ft1mdcei.fsf@HIDDEN>
 <CAKkY5K6TU0icM_RKZnvvSGmhPmJquRsEz3ACZsnxRZugPsfitA@HIDDEN>
X-Now-Playing: Moor Mother & billy woods's _BRASS_: "Rapunzal"
Date: Wed, 24 Feb 2021 17:47:42 +0100
In-Reply-To: <CAKkY5K6TU0icM_RKZnvvSGmhPmJquRsEz3ACZsnxRZugPsfitA@HIDDEN>
 (Ryan Olson's message of "Tue, 23 Feb 2021 09:31:53 -0700")
Message-ID: <87k0qx76q9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ryan Olson <ryan.olson.x@HIDDEN> writes: > I guess we can
 instead fix this one (that _is_ reproducible)? Yup. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46713
Cc: 46713 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ryan Olson <ryan.olson.x@HIDDEN> writes:

> I guess we can instead fix this one (that _is_ reproducible)?

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.

Message received at 46713 <at> debbugs.gnu.org:


Received: (at 46713) by debbugs.gnu.org; 23 Feb 2021 16:32:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 11:32:12 2021
Received: from localhost ([127.0.0.1]:60325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEabc-0006FX-Ib
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 11:32:12 -0500
Received: from mail-ed1-f44.google.com ([209.85.208.44]:38099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ryan.olson.x@HIDDEN>) id 1lEabb-0006FJ-1D
 for 46713 <at> debbugs.gnu.org; Tue, 23 Feb 2021 11:32:11 -0500
Received: by mail-ed1-f44.google.com with SMTP id s11so26590210edd.5
 for <46713 <at> debbugs.gnu.org>; Tue, 23 Feb 2021 08:32:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Ict6KoReHa/S0On7R3RnB+AXwv9UFUpolp/1sWNTFfA=;
 b=F1Dm4ruBl42M/NwHHyaXDGS4x3+xTHpbYTOzFTg0RsTa4x+GS9iTNHjBvYZFj0Pt1V
 Qrtjt3RKTYWNYwGFcqawNcF40PWg0+GxivrCro56azGRPhsKN2rpA1/t5t/iG+Iv8Cby
 j6m3UvPIlxpbiPrdEfNg4KRdQgUvuZRqvxAOcSMR0wulKuGXZ3Z7Qpkhk737p2VyYkOr
 3RgYPhrvc6+VffLpnHfx4Wm51knad5ddALtBmnG/HHJ9dqT24wHFhn3FqWQ++5IvU8ov
 2KChcUlV9O8+6bELfcQ77hCsVNmloIXYfUYALYsIJlYqvNQzaaW2G9JOt/0uCpx6XnHn
 P6GA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Ict6KoReHa/S0On7R3RnB+AXwv9UFUpolp/1sWNTFfA=;
 b=dKuXECc4dqhMIGfl7/OwCDVNd8D75XppZ4eHG6V5vJ/K1UN9yYmfWfnLiWTWvpQ7IH
 tANhgsJ6Cxoc869cx/9XFM609s4zmSl9HSnbucIkPrKhswobnDp2Ln09a00oUOiUNCR6
 M/LFiyOvHRGvS1FXU2wTngkvyrwYGmuFedI59Fg3lWk5deKiQkkL3YoSeJaZFMVdQ7ZM
 IejKTxNmMP+2lovT+KygXVacftJgRywyO659lETF0jkAPbjLxm53652K636KzVxhKbCc
 X5IUUrzjUvLKvake9LlK0TxhRlMnvi3kwruUpvwVpWrHPis4/LPfrkUoYCzfMDjQ8ICT
 iZaA==
X-Gm-Message-State: AOAM5339NJo/zFYfSZRg/BzVK3XV9J+MOebJiDEZZ167rfNx0IcfOZzE
 VQdfk695bxP0vQCjQydEOo2PBYczFjKieitn9UBUSB7xBPY=
X-Google-Smtp-Source: ABdhPJx1sdtWlrjdzNPVnAt8XU8l0bKLrYPIKj/JeJCX3VkMTBQuKG4opVckqiNqcqoLF/noYJ4QPwGC2yZKqqhva28=
X-Received: by 2002:aa7:cb0d:: with SMTP id s13mr28504240edt.221.1614097924914; 
 Tue, 23 Feb 2021 08:32:04 -0800 (PST)
MIME-Version: 1.0
References: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
 <871rd7enmz.fsf@HIDDEN>
 <CAKkY5K499zMp30P_qm4jPNGT+h=6_T3HAMO=yQV3Q+vs+CH27w@HIDDEN>
 <87ft1mdcei.fsf@HIDDEN>
In-Reply-To: <87ft1mdcei.fsf@HIDDEN>
From: Ryan Olson <ryan.olson.x@HIDDEN>
Date: Tue, 23 Feb 2021 09:31:53 -0700
Message-ID: <CAKkY5K6TU0icM_RKZnvvSGmhPmJquRsEz3ACZsnxRZugPsfitA@HIDDEN>
Subject: Re: bug#46713: 27.1; Variable binding depth exceeds max-specpdl-size
 in js-mode with js-indent-level 2 and indent-tabs-mode nil on new line
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000072807905bc037543"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46713
Cc: 46713 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000072807905bc037543
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

It was with something like this that I saw the error I reported. I=E2=80=99=
m not
sure how to reproduce that.

I guess we can instead fix this one (that _is_ reproducible)?

On Tue, Feb 23, 2021 at 8:36 AM Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Ryan Olson <ryan.olson.x@HIDDEN> writes:
>
> > Repro steps:
> > 1. Open foo.js with emacs -Q --eval '(setq-default js-indent-level 2
> > indent-tabs-mode nil)' foo.js
> > 2. Go to line 61
> > 3. Delete brace at end of that line
> > 4. Save
> > 5. Add brace back
> > 6. Press RET
> > 7. Errors happen
>
> Thanks for the clear recipe.  With it, I'm also seeing errors (in both
> Emacs 27 and 28):
>
> Debugger entered--Lisp error: (error "internal--syntax-propertize did not
> move syntax-pr...")
>   backward-prefix-chars()
>   back-to-indentation()
>   current-left-margin()
>   move-to-left-margin(nil t)
>   #f(compiled-function () #<bytecode 0x155c01f42651>)()
>   self-insert-command(1)
>   newline(nil 1)
>   funcall-interactively(newline nil 1)
>   call-interactively(newline nil nil)
>
> But I'm not seeing the "binding depth" one.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>
--=20
Sent from my iPhone

--00000000000072807905bc037543
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">It was with something like this that I saw the error I re=
ported. I=E2=80=99m not sure how to reproduce that.</div><div dir=3D"auto">=
<br></div><div dir=3D"auto">I guess we can instead fix this one (that _is_ =
reproducible)?</div><div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cl=
ass=3D"gmail_attr">On Tue, Feb 23, 2021 at 8:36 AM Lars Ingebrigtsen &lt;<a=
 href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></div><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #c=
cc solid;padding-left:1ex">Ryan Olson &lt;<a href=3D"mailto:ryan.olson.x@gm=
ail.com" target=3D"_blank">ryan.olson.x@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Repro steps:<br>
&gt; 1. Open foo.js with emacs -Q --eval &#39;(setq-default js-indent-level=
 2<br>
&gt; indent-tabs-mode nil)&#39; foo.js<br>
&gt; 2. Go to line 61<br>
&gt; 3. Delete brace at end of that line<br>
&gt; 4. Save<br>
&gt; 5. Add brace back<br>
&gt; 6. Press RET<br>
&gt; 7. Errors happen<br>
<br>
Thanks for the clear recipe.=C2=A0 With it, I&#39;m also seeing errors (in =
both<br>
Emacs 27 and 28):<br>
<br>
Debugger entered--Lisp error: (error &quot;internal--syntax-propertize did =
not move syntax-pr...&quot;)<br>
=C2=A0 backward-prefix-chars()<br>
=C2=A0 back-to-indentation()<br>
=C2=A0 current-left-margin()<br>
=C2=A0 move-to-left-margin(nil t)<br>
=C2=A0 #f(compiled-function () #&lt;bytecode 0x155c01f42651&gt;)()<br>
=C2=A0 self-insert-command(1)<br>
=C2=A0 newline(nil 1)<br>
=C2=A0 funcall-interactively(newline nil 1)<br>
=C2=A0 call-interactively(newline nil nil)<br>
<br>
But I&#39;m not seeing the &quot;binding depth&quot; one.<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div>-- <br><div dir=3D"ltr" class=3D"gmail_signature" =
data-smartmail=3D"gmail_signature">Sent from my iPhone</div>

--00000000000072807905bc037543--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46713 <at> debbugs.gnu.org:


Received: (at 46713) by debbugs.gnu.org; 23 Feb 2021 15:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 10:36:33 2021
Received: from localhost ([127.0.0.1]:60209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEZjl-0000df-35
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 10:36:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:60332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lEZjj-0000dO-Gu
 for 46713 <at> debbugs.gnu.org; Tue, 23 Feb 2021 10:36:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZZV1guHmD6JQ7UEwLzM2Wit014m8DtY9AN5ZWaUWpAI=; b=FMGbHWEb/NV8COtBpMD4ntMTp1
 cgptT2Mo52yUFqX0QgJDxyZd+ridmOl2CCCOokBwNZZGyNtpZUBVcUKNKjYTXhWJy+PkeHquGObNH
 K0IpllhMjCsfsUPT4HTVoA6d4Qft7Oo5wbrgM36q0BfclDdtDqTTCEWnUirdJNdlIcqw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lEZja-0001NO-S6; Tue, 23 Feb 2021 16:36:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ryan Olson <ryan.olson.x@HIDDEN>
Subject: Re: bug#46713: 27.1; Variable binding depth exceeds
 max-specpdl-size in js-mode with js-indent-level 2 and indent-tabs-mode
 nil on new line
References: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
 <871rd7enmz.fsf@HIDDEN>
 <CAKkY5K499zMp30P_qm4jPNGT+h=6_T3HAMO=yQV3Q+vs+CH27w@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXYy8Opk0o7Lyz/
 //+wXL6vAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UCFw8dF0qwsjEAAAF9SURBVCjPPdGxihsxEAbg
 sQkqXKU6iJ8g7FM4hhwklYtIYFXXHMTzFD5Drkh1CazAqnywEjv/U+afNUSwy36sRr80Evmw2sXd
 KsbnGEUQCmJEASADMhw+ZIXgqPzT5dEC+kFyQe6CllF2Dk7j00YR/Y8mMhBV0NEmopupAzOBRtTe
 YQ6v6Z59Fl3wjldgEiRSJuxZFBBVIfNpDXzKNh3hCKZZ8XYYICcLFb8cW3CZnFAU149EhiX8Bo6H
 O7Jn/HxKkILT0TGfM2S82gnGrZ87EW3ZSnspRLKlGb0TLXl7jAephGJZDU1N7hUcuY/iKfekFMW+
 E8ExZql7tvbR8TVJvRxTeeC3fUuS/17V1o5tkfzOUEJnHlsZh1e+pnt7mcGwP2BHfWtagb09C+at
 VytC4/3Yhluesm1KYw3RYp+3GxPo3mf12+dh5OEu8EVuTxglxhei4nypRuzgl/wltAXKU0KCNceA
 kTf50DvBvl4JFJ92YBBuazQQPxxvgfgHAVQnvn0W6iEAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEt
 MDItMjNUMTU6Mjk6MjMrMDA6MDDFYP14AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAyLTIzVDE1
 OjI5OjIzKzAwOjAwtD1FxAAAAABJRU5ErkJggg==
X-Now-Playing: Jungle Brothers's _Straight Out The Jungle (1)_: "On The Run"
Date: Tue, 23 Feb 2021 16:36:21 +0100
In-Reply-To: <CAKkY5K499zMp30P_qm4jPNGT+h=6_T3HAMO=yQV3Q+vs+CH27w@HIDDEN>
 (Ryan Olson's message of "Mon, 22 Feb 2021 19:03:39 -0700")
Message-ID: <87ft1mdcei.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Ryan Olson <ryan.olson.x@HIDDEN> writes: > Repro steps:
 > 1. Open foo.js with emacs -Q --eval '(setq-default js-indent-level 2 >
 indent-tabs-mode nil)' foo.js > 2. Go to line 61 > 3. Delete brace at end
 of that line > 4. Save > 5. Add brace [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46713
Cc: 46713 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ryan Olson <ryan.olson.x@HIDDEN> writes:

> Repro steps:
> 1. Open foo.js with emacs -Q --eval '(setq-default js-indent-level 2
> indent-tabs-mode nil)' foo.js
> 2. Go to line 61
> 3. Delete brace at end of that line
> 4. Save
> 5. Add brace back
> 6. Press RET
> 7. Errors happen

Thanks for the clear recipe.  With it, I'm also seeing errors (in both
Emacs 27 and 28):

Debugger entered--Lisp error: (error "internal--syntax-propertize did not move syntax-pr...")
  backward-prefix-chars()
  back-to-indentation()
  current-left-margin()
  move-to-left-margin(nil t)
  #f(compiled-function () #<bytecode 0x155c01f42651>)()
  self-insert-command(1)
  newline(nil 1)
  funcall-interactively(newline nil 1)
  call-interactively(newline nil nil)

But I'm not seeing the "binding depth" one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.

Message received at 46713 <at> debbugs.gnu.org:


Received: (at 46713) by debbugs.gnu.org; 23 Feb 2021 02:03:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 21:03:58 2021
Received: from localhost ([127.0.0.1]:57961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEN3O-000148-7Q
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 21:03:58 -0500
Received: from mail-ed1-f47.google.com ([209.85.208.47]:40768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ryan.olson.x@HIDDEN>) id 1lEN3M-00013u-1Y
 for 46713 <at> debbugs.gnu.org; Mon, 22 Feb 2021 21:03:56 -0500
Received: by mail-ed1-f47.google.com with SMTP id q10so24254935edt.7
 for <46713 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 18:03:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fE8SaZPKrqtncWx5xugiD1A0RWV5yCE802i2948BFTw=;
 b=cpvJbTdtwwpXrHF+eCB7AgaqL/jVQdGmyLoON46YhfC/INwues8dDWIydEWZ1v1I3E
 TT8O2qz3ctTpED28Q3zkn7ruZsGTusl76IR04gDBIISGj6kgjBMcyFZckm8QjmQs0os+
 riwIk1w4Aloa0rnOZI8KHXzffazHfTt3ORFWlaI/ErUPo5shIOfvgvtsOIQVul1PXCmc
 WZc/Oy+u67HHe40bK8MgFBC0wbxAr6GL7mPLlicp4WnWSlOFk+eBxIoG4wx734M+59Qy
 +hk8c67gNlepkO4ilbsEiSGwf1CH4NHS8hU+DLBn49GdWkg0Hr8Jp7s43E3rwbCQHeFE
 FSfA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fE8SaZPKrqtncWx5xugiD1A0RWV5yCE802i2948BFTw=;
 b=RcS0ucP4kd+9VX4t5NCdEqFdhLhgh5nZ/6DHjORO51SHLqdbQpC1vnpVSTAo+WVcvG
 w7bRPjPPljQOAyMLee2XnR9xmbmaxnnHDQjuvn0QGwZbXVKbF75zgEuFlIr544QHRO3R
 VffYGpNNtf2sDspm23YFrMN6X4dVAkAZsOJsDrKBFniVplRrLT7lRpEsi0kS0lOFeHJf
 fBF7SElkIqbfTzk1NM6IvziJHJcGm7k9VoGUp+UY2HNjSGF7TEcRbjrZBbwdZ/T8Lu6o
 ZIIOEuQjIs+KVd1W1tjpp1F+uLtNFsHipA97inESM1t06T35gOsvm2xFlYfrJOLqPkAz
 BTYg==
X-Gm-Message-State: AOAM533uM1R+/LjB68hPdGpDTKW+LTCz9uy/D3WOXjo4mPJ83NboClqJ
 ek4HN8zkY3hZMnoCjLGWJ+sg40E0hd7fvadQMaw=
X-Google-Smtp-Source: ABdhPJw9dagxKfgN286fs7FCmfTk5opw2nw8HhuZHOOrk2XGm3c9Tkfz/DZm+kIY0Y4FCujLoorEC1YQpLwAtriYCgw=
X-Received: by 2002:aa7:cb0d:: with SMTP id s13mr25145203edt.221.1614045830242; 
 Mon, 22 Feb 2021 18:03:50 -0800 (PST)
MIME-Version: 1.0
References: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
 <871rd7enmz.fsf@HIDDEN>
In-Reply-To: <871rd7enmz.fsf@HIDDEN>
From: Ryan Olson <ryan.olson.x@HIDDEN>
Date: Mon, 22 Feb 2021 19:03:39 -0700
Message-ID: <CAKkY5K499zMp30P_qm4jPNGT+h=6_T3HAMO=yQV3Q+vs+CH27w@HIDDEN>
Subject: Re: bug#46713: 27.1; Variable binding depth exceeds max-specpdl-size
 in js-mode with js-indent-level 2 and indent-tabs-mode nil on new line
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46713
Cc: 46713 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

I do. I'm not sure why it takes this, but for my specific js file
(with a few things replaced -- because it's company code) it has
issues.

Repro steps:
1. Open foo.js with emacs -Q --eval '(setq-default js-indent-level 2
indent-tabs-mode nil)' foo.js
2. Go to line 61
3. Delete brace at end of that line
4. Save
5. Add brace back
6. Press RET
7. Errors happen

foo.js:
import React, { useEffect } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { useHistory } from 'react-router';
import { Link } from 'react-router-dom';
import { Grid } from '@rmwc/grid';

import {
  getFoos,
  selectFoos,
  selectIsLoadingFoos,
  selectTotalTimesFoosFetched,
} from 'store/slices/foos.slice';
import { clearFoo } from 'store/slices/foo.slice';
import {
  filterDefinitions,
  getUniqueFooKey,
  searchProperties,
  getFeaturesForFoo,
} from './foosHelpers';
import { useFilters } from 'components/Filtering/useFilters';
import Fab from 'components/Fab';
import SortableDataTable from 'components/SortableDataTable';
import FilterBar from 'components/Filtering/FilterBar';
import useUpdateEffect from 'hooks/useUpdateEffect';

export default function FoosList() {
  const dispatch = useDispatch();
  const history = useHistory();
  const isLoading = useSelector(selectIsLoadingFoos);
  const foos = useSelector(selectFoos);
  const totalTimesFoosFetched = useSelector(
    selectTotalTimesFoosFetched
  );
  const filterBag = useFilters(
    'foos',
    foos,
    filterDefinitions,
    searchProperties
  );
  const { getFilterByKey, clearFilter } = filterBag;

  const canAddFoo = useSelector(state => state.permissions.canAddFoo);

  function requestFoos() {
    dispatch(getFoos({ dispatch }));
  }

  // Get foos from the server (if needed).
  // It attempts to skip reloading the foos, when it can.
  useEffect(() => {
    const isFirstLoad = totalTimesFoosFetched === 0;
    // Since we're only checking this on mount, I think
    // it's safe to say that if we don't have foos and it's
    // not our first load (while mounting), then this would be a
    // place where we've invalidated foos by clearing them out.
    // (to force a load)
    const foosInvalidated = !isFirstLoad && foos.length === 0;

    const shouldFetch = isFirstLoad || foosInvalidated;

    if (shouldFetch) {
      requestFoos();
    }
  }, []);

  // When show foos filter changes,
  // get foos from the server.
  useUpdateEffect(() => {
    requestFoos();
  }, []);

  // Clear foo data from redux.
  useEffect(() => {
    // Clear foo itself.
    dispatch(clearFoo());
  }, []);

  // If we initially load foos and none come back that follow
  // our initial filter (only show centralized foos == true)
  // Remove that filter and fetch foos again.
  useEffect(() => {
    if (totalTimesFoosFetched === 1 && foos.length === 0) {
      // NOTE: this triggers a different effect to get foos that
      // match this filter.
      clearFilter();
    }
  }, [foos, totalTimesFoosFetched]);

  function getFooLink(foo) {
    if (hasValue(foo.fooCode)) {
      return `/foos/foo/fooCode/${foo.fooCode}`;
    }

    if (foo(foo)) {
      return `/foos/foo//${foo.id}`;
    }

    // Shouldn't get here. If all else fails, it shouldn't route anywhere.
    return '#';
  }

  return (
    <Grid>
      <FilterBar filterBag={filterBag}>
        < />
      </FilterBar>
      <SortableDataTable
        data={filterBag.filteredData}
        isLoading={isLoading}
        noRowsMessage="No foos to display."
        schema={{
          getRowKey: getUniqueFooKey,
          columns: [
            {
              headerName: 'Foo Name',
              getColumnValue: foo => (
                <Link
                  to={getFooLink(foo)}
                  className={sharedCss.colorPrimary}
                >
                  {foo.fooName}
                </Link>
              ),
              getSortValue: foo => foo.fooName,
            },
            {
              headerName: 'Foo Code',
              getColumnValue: foo => foo.fooCode,
              className: globalCss.width100,
            },
            {
              headerName: 'Site ID',
              // If there's no site id, it comes down as 0.
              getColumnValue: foo => foo.siteId || null,
              className: globalCss.width100,
            },
            {
              headerName: 'Master Foo ID',
              getColumnValue: foo => foo.id,
              className: globalCss.width100,
            },
          ].filter(Boolean),
        }}
      />
      {canAddFoo && (
        <Fab icon="add" onClick={() => history.push('/foos/new')} />
      )}
    </Grid>
  );
}

On Mon, Feb 22, 2021 at 3:36 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Ryan Olson <ryan.olson.x@HIDDEN> writes:
>
> > (error "Variable binding depth exceeds max-specpdl-size")
> > back-to-indentation: internal--syntax-propertize did not move
> > syntax-propertize--doneError during redisplay:
> > (internal--syntax-propertize 2645) signaled (error "Variable binding
> > depth exceeds max-specpdl-size")
>
> Do you have a recipe to reproduce this error, starting from "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 46713 <at> debbugs.gnu.org:


Received: (at 46713) by debbugs.gnu.org; 22 Feb 2021 22:36:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 17:36:17 2021
Received: from localhost ([127.0.0.1]:57866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEJoP-0006qp-If
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:36:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lEJoN-0006qS-Mr
 for 46713 <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:36:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pwCy7BvXXUnlIrqr9HI9cgbB9hng6+eEBPb2KN6Y9a4=; b=l+PONjyUTtdnOaQlI/ihigKPet
 5OGmwwTOTk+7GkbVx0UH8M9Xa5bHZvTVbMmm8l+dC9yLEYngy5VjAV0OXWPlNbMVmnGKnSXgmmN9I
 3rAJBsRcs2Xhqdpv7kMMfq9PdJthYXhxiptOLWL1HWMaRu27/zovQZPmwu7jAx7/nBN8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lEJoD-0001A1-C6; Mon, 22 Feb 2021 23:36:08 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ryan Olson <ryan.olson.x@HIDDEN>
Subject: Re: bug#46713: 27.1; Variable binding depth exceeds
 max-specpdl-size in js-mode with js-indent-level 2 and indent-tabs-mode
 nil on new line
References: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEX+/v3OvJnt5tC3
 hFsYEBFYRkT///9urv4PAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UCFhU1Ovs/AS0AAAGwSURBVDjL
 rZJbkuIwDEUDs4GWTf6Ju/gf43gBaaQFQKz9b2Wu7LyY/kVVVFKcXOnq0XUfjBPRQAE/hGsPcgb+
 SOk1q0+Ie7JHTHcDZygCUQiBXLiaOISvBiJRyimRT45GnuPQUlUwWCLIVJlnWoFVnDuw+4lZZN4V
 wXv7zscbIx7vALlDuBUAoQOwL2Wmm1dhcVuN8M01pp58Pigo3Bp4pTkZcBvoF0AEv4/f4D54KOIO
 XF5BSllpr2FA4NRhhPlxAJTQ1sgMT2l87iAS+pgAgk9annQYYqpAeoUpEX1uqUxRWLUkTJd1XoGN
 6qcI9kg9C2TLBqNHH6+CP8o1gyd9reDWQNQrLMyq00HhLlpm/RpVd5AVDbpRkMWVYuBZ7yqOAivR
 dgSASiq1xomTTeTbqISxaLzw1EAka86GNZ2wDvTSAFZ6YckGRC1h2UAcUUKQSyL8Cc+tuCDVhF1h
 TK9z3YzugPyAL9m1s9AlFXrypV5QXQB2triCGxpzdXsdyht4+Gx2pu4cLvVKVyB1D/y361BEmDcF
 6tUSIQz15QBaiC63+j9Y49PgnN4jrpf4sfgHrXiwjCQ+1DoAAAAldEVYdGRhdGU6Y3JlYXRlADIw
 MjEtMDItMjJUMjE6NTM6NTcrMDA6MDAXQ4vkAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAyLTIy
 VDIxOjUzOjU3KzAwOjAwZh4zWAAAAABJRU5ErkJggg==
X-Now-Playing: Bob Dylan's _Highway 61 Revisited_: "Desolation Row"
Date: Mon, 22 Feb 2021 23:36:04 +0100
In-Reply-To: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
 (Ryan Olson's message of "Mon, 22 Feb 2021 15:22:14 -0700")
Message-ID: <871rd7enmz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ryan Olson <ryan.olson.x@HIDDEN> writes: > (error
 "Variable
 binding depth exceeds max-specpdl-size") > back-to-indentation:
 internal--syntax-propertize
 did not move > syntax-propertize--doneError during redisplay: >
 (internal--syntax-propert [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46713
Cc: 46713 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ryan Olson <ryan.olson.x@HIDDEN> writes:

> (error "Variable binding depth exceeds max-specpdl-size")
> back-to-indentation: internal--syntax-propertize did not move
> syntax-propertize--doneError during redisplay:
> (internal--syntax-propertize 2645) signaled (error "Variable binding
> depth exceeds max-specpdl-size")

Do you have a recipe to reproduce this error, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2021 22:22:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 17:22:34 2021
Received: from localhost ([127.0.0.1]:57845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEJb7-0006UK-SV
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:22:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:58548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ryan.olson.x@HIDDEN>) id 1lEJb3-0006U9-VC
 for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 17:22:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:41724)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ryan.olson.x@HIDDEN>)
 id 1lEJb3-0001yh-OW
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 17:22:29 -0500
Received: from mail-ej1-x631.google.com ([2a00:1450:4864:20::631]:36996)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ryan.olson.x@HIDDEN>)
 id 1lEJb1-0006DH-SJ
 for bug-gnu-emacs@HIDDEN; Mon, 22 Feb 2021 17:22:29 -0500
Received: by mail-ej1-x631.google.com with SMTP id d8so31762355ejc.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 22 Feb 2021 14:22:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=QzCUwvdkr6koLeLOLZzP7BBmboHgUzdUIWC9/UxW8ys=;
 b=GzozIjUgJ2vpcqnyZiZ0yFQsQ2FuCtbulettNvZ3HOza0DiTRd/seYp2u6AZDhtgm8
 DsnLcMCYNnLI4mRdNN7H66aEs0If7lFD5kJlGHTIj/bbqLVvxWedfsvI/74h3kiykwBS
 gPoxTgeo6PkNv4N26dkY7NxPeOjRfL53f3bXW0+eVoHqfW8T2jh9RbtJ4ZmqCVZnr2JT
 RXhM+8JXIZCr931/3d4qZ5eWMDOfOOzPfy1kZ93uTFEQ0BDY9HBv4TgJ3YEbsKwky1Wh
 Lqn4ZemqonWOvQzFpnveYMafBS55wTVAKyIZ+63Yh+wzddjBAtFuyq3CgkGGpJxprU7a
 TBhw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=QzCUwvdkr6koLeLOLZzP7BBmboHgUzdUIWC9/UxW8ys=;
 b=DfXoLsYK5p4QHb+eftvf6eJEJT4MM57eHVf7UB+6hesQZn+cS0ZuldRo8Wj04hHdHI
 OeGWXUc+Kj4xTf6RYii/OfcWxIyldgDl3SC+VcHLgb2IUqjaGefCEMt09JXAa7Ps3Ith
 toQgoL4N4wA70bC+NxYxDZsx+7Caw7iPT2o/laiKp36Y2+XI6sEPgfrZUaK0nhh+rE68
 UVGfGKp+wBefq93Hq96ax29009xKCilgwc51RXeDQlJEK5RHXoQ5pT4oQQ+xfhmkR+EH
 1IbmHadrknHCRFHXYR+3oFLyA8U7OR5vuC7E/L2q8BP1dqwBI0sVfq475dGHmJkjhxmg
 +tZw==
X-Gm-Message-State: AOAM533DXVihjwEtzmH1gvkjYDVKJ+gkpfz51ZYM6Gaefv5WzwfpQfaw
 gQlnTUYmHWKVmH5GDVwhvvyjKETWMsbobdIzsSfwx2MwswR3YQ==
X-Google-Smtp-Source: ABdhPJyiwqp3D04sX0g4BcBesSkjp8lGWSVsx45L22Fc8/59W/l1JCdnPY+lNHlZnGFPaewXgh5pgHMAZhYpE916ShU=
X-Received: by 2002:a17:906:c210:: with SMTP id
 d16mr18787148ejz.187.1614032545324; 
 Mon, 22 Feb 2021 14:22:25 -0800 (PST)
MIME-Version: 1.0
From: Ryan Olson <ryan.olson.x@HIDDEN>
Date: Mon, 22 Feb 2021 15:22:14 -0700
Message-ID: <CAKkY5K6_uc1U3QAyZhu7Dg9ytXWUJ_b5w6f1pyspPrUC6Qz12g@HIDDEN>
Subject: 27.1; Variable binding depth exceeds max-specpdl-size in js-mode with
 js-indent-level 2 and indent-tabs-mode nil on new line
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::631;
 envelope-from=ryan.olson.x@HIDDEN; helo=mail-ej1-x631.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

In GNU Emacs 27.1 (build 1, x86_64-apple-darwin18.7.0, NS
appkit-1671.60 Version 10.14.6 (Build 18G95))
 of 2020-08-11 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Recent messages:
Wrote /Users/CENSORED/CENSORED/src/CENSORED/CENSORED/CENSORED.js
Quit
2 (#o2, #x2, ?\C-b)
Saving file /Users/CENSORED/CENSORED/src/CENSORED/CENSORED/CENSORED.js...
Wrote /Users/CENSORED/CENSORED/src/CENSORED/CENSORED/CENSORED.js
Error during redisplay: (internal--syntax-propertize 2120) signaled
(error "Variable binding depth exceeds max-specpdl-size")
back-to-indentation: internal--syntax-propertize did not move
syntax-propertize--doneError during redisplay:
(internal--syntax-propertize 2645) signaled (error "Variable binding
depth exceeds max-specpdl-size")
Error during redisplay: (jit-lock-function 2121) signaled (error
"internal--syntax-propertize did not move syntax-propertize--done")
Error during redisplay: (jit-lock-function 3138) signaled (error
"Variable binding depth exceeds max-specpdl-size")
Error during redisplay: (jit-lock-function 3638) signaled (error
"Variable binding depth exceeds max-specpdl-size")

Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES
THREADS JSON PDUMPER

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: JavaScript[JSX]

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date
vc-git diff-mode easy-mmode js json subr-x map seq byte-opt gv bytecomp
byte-compile cconv imenu cc-mode cc-fonts easymenu cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 77539 14591)
 (symbols 48 9435 1)
 (strings 32 25046 1242)
 (string-bytes 1 941698)
 (vectors 16 13840)
 (vector-slots 8 178575 12426)
 (floats 8 30 274)
 (intervals 56 717 4)
 (buffers 1000 13))




Acknowledgement sent to Ryan Olson <ryan.olson.x@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46713; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Feb 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.